#
# Conditional build:
%bcond_without	opengl	# OpenGL-based visualizer
#
Summary:	WebP image codec libraries
Summary(pl.UTF-8):	Biblioteki do kodeka obrazów WebP
Name:		libwebp
Version:	1.2.4
Release:	2
License:	BSD
Group:		Libraries
#Source0Download: http://downloads.webmproject.org/releases/webp/index.html
Source0:	http://downloads.webmproject.org/releases/webp/%{name}-%{version}.tar.gz
# Source0-md5:	a80a95461a751118bb7d457b1afca50d
Patch0:		%{name}-link.patch
URL:		https://developers.google.com/speed/webp/
%{?with_opengl:BuildRequires:	OpenGL-devel}
%{?with_opengl:BuildRequires:	OpenGL-glut-devel}
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	giflib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebP image codec libraries.

%description -l pl.UTF-8
Biblioteki do kodeka obrazów WebP.

%package devel
Summary:	Header files for WebP libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek WebP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for WebP libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek WebP.

%package static
Summary:	Static WebP libraries
Summary(pl.UTF-8):	Statyczne biblioteki WebP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static WebP libraries.

%description static -l pl.UTF-8
Statyczne biblioteki WebP.

%package progs
Summary:	WebP image codec tools
Summary(pl.UTF-8):	Narzędzia do kodeka obrazów WebP
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
WebP image codec tools.

%description progs -l pl.UTF-8
Narzędzia do kodeka obrazów WebP.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-libwebpdemux \
	--enable-libwebpextras \
	--enable-libwebpmux
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkgconfig
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libwebp*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS PATENTS README.md
%attr(755,root,root) %{_libdir}/libwebp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebp.so.7
%attr(755,root,root) %{_libdir}/libwebpdemux.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebpdemux.so.2
%attr(755,root,root) %{_libdir}/libwebpmux.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebpmux.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwebp.so
%attr(755,root,root) %{_libdir}/libwebpdemux.so
%attr(755,root,root) %{_libdir}/libwebpmux.so
%{_includedir}/webp
%{_pkgconfigdir}/libwebp.pc
%{_pkgconfigdir}/libwebpdemux.pc
%{_pkgconfigdir}/libwebpmux.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libwebp.a
%{_libdir}/libwebpdemux.a
%{_libdir}/libwebpmux.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cwebp
%attr(755,root,root) %{_bindir}/dwebp
%attr(755,root,root) %{_bindir}/gif2webp
%attr(755,root,root) %{_bindir}/img2webp
%{?with_opengl:%attr(755,root,root) %{_bindir}/vwebp}
%attr(755,root,root) %{_bindir}/webpinfo
%attr(755,root,root) %{_bindir}/webpmux
%{_mandir}/man1/cwebp.1*
%{_mandir}/man1/dwebp.1*
%{_mandir}/man1/gif2webp.1*
%{_mandir}/man1/img2webp.1*
%{?with_opengl:%{_mandir}/man1/vwebp.1*}
%{_mandir}/man1/webpinfo.1*
%{_mandir}/man1/webpmux.1*
%changelog
* Wed Aug 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libwebp.git;a=log;h=master

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> ff6b5ae
- Release 2 (by relup.sh)

* Sat Aug 06 2022 Jan Palus <atler@pld-linux.org> 17e02b2
- up to 1.2.4

* Sun Jul 17 2022 Jan Palus <atler@pld-linux.org> c11e256
- up to 1.2.3

* Sat Feb 26 2022 Jan Palus <atler@pld-linux.org> 200d91f
- up to 1.2.2

* Mon Aug 16 2021 Jakub Bogusz <qboosh@pld-linux.org> c13c3c1
- updated to 1.2.1 (security hardening)

* Fri Feb 12 2021 Jan Palus <atler@pld-linux.org> 2edbd44
- up to 1.2.0

* Wed Jan 15 2020 Jakub Bogusz <qboosh@pld-linux.org> 1d6d2eb
- updated to 1.1.0
- added link patch (put local libs first to fix build with older libwebp installed)

* Thu Jul 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 2f4fcc6
- updated to 1.0.3

* Fri Mar 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 4293340
- updated to 1.0.2

* Sun Dec 23 2018 Jakub Bogusz <qboosh@pld-linux.org> 9885020
- updated to 1.0.1 (includes security related hardening and lossless encoder speedups)

* Mon May 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 212c338
- updated to 1.0.0

* Sun Dec 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 02f1cd2
- updated to 0.6.1

* Sat Apr 22 2017 Jakub Bogusz <qboosh@pld-linux.org> ceea32b
- updated to 0.6.0 (note: new sonames, libwebpextras no longer installed as shared library)

* Tue Apr 04 2017 Jakub Bogusz <qboosh@pld-linux.org> a8ebd95
- updated to 0.5.2 (fixes CVE-2016-8888, CVE-2016-9085)

* Sun Aug 28 2016 Jakub Bogusz <qboosh@pld-linux.org> ab56e4c
- updated to 0.5.1

* Tue Dec 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 859bd92
- updated to 0.5.0 (note: new soname)
- enable libwebpextras library

* Mon Nov 09 2015 Jakub Bogusz <qboosh@pld-linux.org> aa12ef5
- updated to 0.4.4

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7247806
- x32 rebuild
- release 2 (by relup.sh)

* Mon Oct 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 7fd568c
- package vwebp(1) manual

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 2120c5d
- up to 0.4.2

